#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBinaryVolumeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBinaryVolumeNewCommand();
int vtkBinaryVolumeLogicCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBinaryVolumeLogicNewCommand();
int vtkWSBoundingBoxCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWSBoundingBoxNewCommand();
int vtkWSBoundingBoxManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWSBoundingBoxManagerNewCommand();
int vtkWSLookupTableManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkWSLookupTableManagerNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkwstcommontcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkwstcommontcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkwstcommontcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkwstcommontcl_Init(interp);
}


int VTK_EXPORT Vtkwstcommontcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkBinaryVolume"), vtkBinaryVolumeNewCommand,
                  vtkBinaryVolumeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBinaryVolumeLogic"), vtkBinaryVolumeLogicNewCommand,
                  vtkBinaryVolumeLogicCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWSBoundingBox"), vtkWSBoundingBoxNewCommand,
                  vtkWSBoundingBoxCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWSBoundingBoxManager"), vtkWSBoundingBoxManagerNewCommand,
                  vtkWSBoundingBoxManagerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkWSLookupTableManager"), vtkWSLookupTableManagerNewCommand,
                  vtkWSLookupTableManagerCommand);
  char pkgName[]="vtkWSTCommonTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
