// generated by Fast Light User Interface Designer (fluid) version 1.0110

#ifndef SegmenterConsoleGUI_h
#define SegmenterConsoleGUI_h
#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <SegmenterConsoleBase.h>
#include <fltkLightButton.h>
#include <FL/Fl_Box.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Value_Input.H>
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Check_Button.H>
#include <FL/Fl_Round_Button.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Progress.H>
#include <FL/Fl_Output.H>

class SegmenterConsoleGUI : public SegmenterConsoleBase {
public:
  SegmenterConsoleGUI();
  Fl_Double_Window *consoleWindow;
  fltk::LightButton *ShowInputButton;
private:
  void cb_ShowInputButton_i(fltk::LightButton*, void*);
  static void cb_ShowInputButton(fltk::LightButton*, void*);
public:
  Fl_Group *Case1Group;
  fltk::LightButton *ViewSeedButton;
private:
  void cb_ViewSeedButton_i(fltk::LightButton*, void*);
  static void cb_ViewSeedButton(fltk::LightButton*, void*);
public:
  Fl_Value_Input *isosurface;
  Fl_Group *Case2Group;
  Fl_Value_Input *seedX;
  Fl_Value_Input *seedY;
  Fl_Value_Input *distance;
  Fl_Group *Case3Group;
  Fl_Value_Slider *paintRadius;
private:
  void cb_paintRadius_i(Fl_Value_Slider*, void*);
  static void cb_paintRadius(Fl_Value_Slider*, void*);
  void cb_Clear_i(Fl_Button*, void*);
  static void cb_Clear(Fl_Button*, void*);
public:
  Fl_Check_Button *eraseGuess;
  Fl_Group *radioGroup;
  Fl_Round_Button *radio1;
private:
  void cb_radio1_i(Fl_Round_Button*, void*);
  static void cb_radio1(Fl_Round_Button*, void*);
public:
  Fl_Round_Button *radio2;
private:
  void cb_radio2_i(Fl_Round_Button*, void*);
  static void cb_radio2(Fl_Round_Button*, void*);
public:
  Fl_Round_Button *radio3;
private:
  void cb_radio3_i(Fl_Round_Button*, void*);
  static void cb_radio3(Fl_Round_Button*, void*);
public:
  Fl_Group *endControlsGroup;
  Fl_Value_Input *minThresh2;
private:
  void cb_minThresh2_i(Fl_Value_Input*, void*);
  static void cb_minThresh2(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *maxThresh2;
private:
  void cb_maxThresh2_i(Fl_Value_Input*, void*);
  static void cb_maxThresh2(Fl_Value_Input*, void*);
public:
  Fl_Slider *minThresh;
private:
  void cb_minThresh_i(Fl_Slider*, void*);
  static void cb_minThresh(Fl_Slider*, void*);
public:
  Fl_Slider *maxThresh;
private:
  void cb_maxThresh_i(Fl_Slider*, void*);
  static void cb_maxThresh(Fl_Slider*, void*);
public:
  Fl_Value_Input *curvature;
private:
  void cb_curvature_i(Fl_Value_Input*, void*);
  static void cb_curvature(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *propagation;
private:
  void cb_propagation_i(Fl_Value_Input*, void*);
  static void cb_propagation(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *edge;
private:
  void cb_edge_i(Fl_Value_Input*, void*);
  static void cb_edge(Fl_Value_Input*, void*);
public:
  Fl_Check_Button *reverseExpansionDir;
private:
  void cb_reverseExpansionDir_i(Fl_Check_Button*, void*);
  static void cb_reverseExpansionDir(Fl_Check_Button*, void*);
public:
  Fl_Value_Input *maxIterations;
private:
  void cb_maxIterations_i(Fl_Value_Input*, void*);
  static void cb_maxIterations(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *RMSError;
private:
  void cb_RMSError_i(Fl_Value_Input*, void*);
  static void cb_RMSError(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *threshIterations;
private:
  void cb_threshIterations_i(Fl_Value_Input*, void*);
  static void cb_threshIterations(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *threshConductance;
private:
  void cb_threshConductance_i(Fl_Value_Input*, void*);
  static void cb_threshConductance(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *threshTimeStep;
private:
  void cb_threshTimeStep_i(Fl_Value_Input*, void*);
  static void cb_threshTimeStep(Fl_Value_Input*, void*);
public:
  fltk::LightButton *SegmentButton;
private:
  void cb_SegmentButton_i(fltk::LightButton*, void*);
  static void cb_SegmentButton(fltk::LightButton*, void*);
public:
  Fl_Button *stopSeg;
private:
  void cb_stopSeg_i(Fl_Button*, void*);
  static void cb_stopSeg(Fl_Button*, void*);
public:
  Fl_Value_Slider *updateIterations;
  Fl_Value_Input *maxCurvatureTimeStep;
private:
  void cb_maxCurvatureTimeStep_i(Fl_Value_Input*, void*);
  static void cb_maxCurvatureTimeStep(Fl_Value_Input*, void*);
public:
  Fl_Value_Input *maxPropagationTimeStep;
private:
  void cb_maxPropagationTimeStep_i(Fl_Value_Input*, void*);
  static void cb_maxPropagationTimeStep(Fl_Value_Input*, void*);
public:
  Fl_Button *save;
private:
  void cb_save_i(Fl_Button*, void*);
  static void cb_save(Fl_Button*, void*);
public:
  Fl_Button *binarySave;
private:
  void cb_binarySave_i(Fl_Button*, void*);
  static void cb_binarySave(Fl_Button*, void*);
public:
  Fl_Value_Input *elapsedIterations;
  Fl_Value_Input *lastRMSChange;
  Fl_Group *diffusionGroup;
  Fl_Value_Input *diffusionIterations;
  Fl_Value_Input *diffusionConductance;
  Fl_Value_Input *diffusionTimeStep;
  fltk::LightButton *DiffuseButton;
private:
  void cb_DiffuseButton_i(fltk::LightButton*, void*);
  static void cb_DiffuseButton(fltk::LightButton*, void*);
public:
  Fl_Check_Button *calcThresh;
private:
  void cb_calcThresh_i(Fl_Check_Button*, void*);
  static void cb_calcThresh(Fl_Check_Button*, void*);
  void cb_Calculate_i(Fl_Button*, void*);
  static void cb_Calculate(Fl_Button*, void*);
  void cb_Clear1_i(Fl_Button*, void*);
  static void cb_Clear1(Fl_Button*, void*);
  void cb_Quit_i(Fl_Button*, void*);
  static void cb_Quit(Fl_Button*, void*);
public:
  Fl_Button *helpButton;
private:
  void cb_helpButton_i(Fl_Button*, void*);
  static void cb_helpButton(Fl_Button*, void*);
public:
  Fl_Button *saveSessionButton;
private:
  void cb_saveSessionButton_i(Fl_Button*, void*);
  static void cb_saveSessionButton(Fl_Button*, void*);
public:
  Fl_Button *loadSessionButton;
private:
  void cb_loadSessionButton_i(Fl_Button*, void*);
  static void cb_loadSessionButton(Fl_Button*, void*);
public:
  Fl_Progress *progressBar;
  Fl_Box *lineSelectPriorA;
  Fl_Box *lineSelectCircleA;
  Fl_Box *lineSelectDrawA;
  Fl_Double_Window *helpWin;
  Fl_Output *helpText;
private:
  void cb_Close_i(Fl_Button*, void*);
  static void cb_Close(Fl_Button*, void*);
public:
  virtual ~SegmenterConsoleGUI();
  virtual void Quit( void );
  virtual void Load( void );
  virtual void ShowInputImage( void );
  virtual void ShowGradientImage( void );
  virtual void ShowSegmentedImage( void );
  virtual void SwitchCase( int );
  virtual void LoadSeedImage( void );
  virtual void ShowSeedImage( void );
  virtual void SmoothImage( void );
  virtual void ShowSpeedImage( void );
  virtual void ChangePaintRadius( float );
  virtual void ClearGuess( void );
  virtual void ClearThresh( void );
  virtual void ToggleThresholdGuess( void );
  virtual void CalculateThresholds( void );
  virtual void SaveSegmented( void );
  virtual void SaveBinaryMask( void );
  virtual void ChangeMinThresh( float );
  virtual void ChangeMaxThresh( float );
  virtual void SetThresholdFilterToModified( void );
  virtual void SaveSession( void );
  virtual void LoadSession( void );
};
#endif
