// python wrapper for vtkITKArchetypeImageSeriesReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKArchetypeImageSeriesReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKArchetypeImageSeriesReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKArchetypeImageSeriesReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSourceNew(char *); }

static PyObject *PyvtkITKArchetypeImageSeriesReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  const char    *temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  vtkITKArchetypeImageSeriesReader  *temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKArchetypeImageSeriesReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKArchetypeImageSeriesReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetArchetype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  char    *temp0;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetArchetype(temp0);
      }
    else
      {
      op->SetArchetype(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetArchetype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  char    *temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetArchetype();
      }
    else
      {
      temp20 = op->GetArchetype();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetDefaultDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDefaultDataSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultDataSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDefaultDataSpacing(temp0);
      }
    else
      {
      op->SetDefaultDataSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetDefaultDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  double  *temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetDefaultDataSpacing();
      }
    else
      {
      temp20 = op->GetDefaultDataSpacing();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetDefaultDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDefaultDataOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultDataOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDefaultDataOrigin(temp0);
      }
    else
      {
      op->SetDefaultDataOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetDefaultDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  double  *temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetDefaultDataOrigin();
      }
    else
      {
      temp20 = op->GetDefaultDataOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetFileNameSliceOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp0;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetFileNameSliceOffset(temp0);
      }
    else
      {
      op->SetFileNameSliceOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetFileNameSliceOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetFileNameSliceOffset();
      }
    else
      {
      temp20 = op->GetFileNameSliceOffset();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetFileNameSliceSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp0;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetFileNameSliceSpacing(temp0);
      }
    else
      {
      op->SetFileNameSliceSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetFileNameSliceSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetFileNameSliceSpacing();
      }
    else
      {
      temp20 = op->GetFileNameSliceSpacing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetFileNameSliceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp0;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetFileNameSliceCount(temp0);
      }
    else
      {
      op->SetFileNameSliceCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetFileNameSliceCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetFileNameSliceCount();
      }
    else
      {
      temp20 = op->GetFileNameSliceCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToAxial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDesiredCoordinateOrientationToAxial();
      }
    else
      {
      op->SetDesiredCoordinateOrientationToAxial();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToCoronal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDesiredCoordinateOrientationToCoronal();
      }
    else
      {
      op->SetDesiredCoordinateOrientationToCoronal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToSagittal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDesiredCoordinateOrientationToSagittal();
      }
    else
      {
      op->SetDesiredCoordinateOrientationToSagittal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToNative(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetDesiredCoordinateOrientationToNative();
      }
    else
      {
      op->SetDesiredCoordinateOrientationToNative();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToNative(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarTypeToNative();
      }
    else
      {
      op->SetOutputScalarTypeToNative();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp0;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKArchetypeImageSeriesReader::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  int      temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKArchetypeImageSeriesReader_GetRasToIjkMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKArchetypeImageSeriesReader *op;

  vtkMatrix4x4  *temp20;
  op = (vtkITKArchetypeImageSeriesReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKArchetypeImageSeriesReader::GetRasToIjkMatrix();
      }
    else
      {
      temp20 = op->GetRasToIjkMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKArchetypeImageSeriesReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKArchetypeImageSeriesReader\nC++: vtkITKArchetypeImageSeriesReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKArchetypeImageSeriesReader\nC++: vtkITKArchetypeImageSeriesReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetArchetype",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetArchetype, 1,
   (char*)"V.SetArchetype(string)\nC++: void SetArchetype (char *);\n\n Specify the archetype filename for the series.\n"},
  {(char*)"GetArchetype",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetArchetype, 1,
   (char*)"V.GetArchetype() -> string\nC++: char *GetArchetype ();\n\n Specify the archetype filename for the series.\n"},
  {(char*)"SetDefaultDataSpacing",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetDefaultDataSpacing, 1,
   (char*)"V.SetDefaultDataSpacing(float, float, float)\nC++: void SetDefaultDataSpacing (double , double , double );\nV.SetDefaultDataSpacing((float, float, float))\nC++: void SetDefaultDataSpacing (double  a[3]);\n\n Set/Get the default spacing of the data in the file. This will be\n used if the reader provided spacing is 1.0. (Default is 1.0)\n"},
  {(char*)"GetDefaultDataSpacing",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetDefaultDataSpacing, 1,
   (char*)"V.GetDefaultDataSpacing() -> (float, float, float)\nC++: double  *GetDefaultDataSpacing ();\n\n Set/Get the default spacing of the data in the file. This will be\n used if the reader provided spacing is 1.0. (Default is 1.0)\n"},
  {(char*)"SetDefaultDataOrigin",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetDefaultDataOrigin, 1,
   (char*)"V.SetDefaultDataOrigin(float, float, float)\nC++: void SetDefaultDataOrigin (double , double , double );\nV.SetDefaultDataOrigin((float, float, float))\nC++: void SetDefaultDataOrigin (double  a[3]);\n\n Set/Get the default origin of the data (location of first pixel\n in the file). This will be used if the reader provided origin is\n 0.0. (Default is 0.0)\n"},
  {(char*)"GetDefaultDataOrigin",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetDefaultDataOrigin, 1,
   (char*)"V.GetDefaultDataOrigin() -> (float, float, float)\nC++: double  *GetDefaultDataOrigin ();\n\n Set/Get the default origin of the data (location of first pixel\n in the file). This will be used if the reader provided origin is\n 0.0. (Default is 0.0)\n"},
  {(char*)"SetFileNameSliceOffset",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetFileNameSliceOffset, 1,
   (char*)"V.SetFileNameSliceOffset(int)\nC++: void SetFileNameSliceOffset (int );\n\n When reading files which start at an unusual index, this can be added\n to the slice number when generating the file name (default = 0)\n"},
  {(char*)"GetFileNameSliceOffset",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetFileNameSliceOffset, 1,
   (char*)"V.GetFileNameSliceOffset() -> int\nC++: int GetFileNameSliceOffset ();\n\n When reading files which start at an unusual index, this can be added\n to the slice number when generating the file name (default = 0)\n"},
  {(char*)"SetFileNameSliceSpacing",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetFileNameSliceSpacing, 1,
   (char*)"V.SetFileNameSliceSpacing(int)\nC++: void SetFileNameSliceSpacing (int );\n\n When reading files which have regular, but non contiguous slices\n (eg filename.1,filename.3,filename.5)\n a spacing can be specified to skip missing files (default = 1)\n"},
  {(char*)"GetFileNameSliceSpacing",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetFileNameSliceSpacing, 1,
   (char*)"V.GetFileNameSliceSpacing() -> int\nC++: int GetFileNameSliceSpacing ();\n\n When reading files which have regular, but non contiguous slices\n (eg filename.1,filename.3,filename.5)\n a spacing can be specified to skip missing files (default = 1)\n"},
  {(char*)"SetFileNameSliceCount",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetFileNameSliceCount, 1,
   (char*)"V.SetFileNameSliceCount(int)\nC++: void SetFileNameSliceCount (int );\n\n The maximum number of files to include in the series. If this is\n zero, then all files will be included. (Default is 0)\n"},
  {(char*)"GetFileNameSliceCount",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetFileNameSliceCount, 1,
   (char*)"V.GetFileNameSliceCount() -> int\nC++: int GetFileNameSliceCount ();\n\n The maximum number of files to include in the series. If this is\n zero, then all files will be included. (Default is 0)\n"},
  {(char*)"SetDesiredCoordinateOrientationToAxial",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToAxial, 1,
   (char*)"V.SetDesiredCoordinateOrientationToAxial()\nC++: void SetDesiredCoordinateOrientationToAxial ();this DesiredCoordinateOrientation itk SpatialOrientation ITK_COORDINATE_ORIENTATION_RAI this UseNativeCoordinateOrientation this Modified \n\n Set the orientation of the output image\n     itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RPS;\n"},
  {(char*)"SetDesiredCoordinateOrientationToCoronal",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToCoronal, 1,
   (char*)"V.SetDesiredCoordinateOrientationToCoronal()\nC++: void SetDesiredCoordinateOrientationToCoronal ();this DesiredCoordinateOrientation itk SpatialOrientation ITK_COORDINATE_ORIENTATION_RSA this UseNativeCoordinateOrientation this Modified \n\n Set the orientation of the output image\n     itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RPS;\n      itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RIP;\n"},
  {(char*)"SetDesiredCoordinateOrientationToSagittal",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToSagittal, 1,
   (char*)"V.SetDesiredCoordinateOrientationToSagittal()\nC++: void SetDesiredCoordinateOrientationToSagittal ();this DesiredCoordinateOrientation itk SpatialOrientation ITK_COORDINATE_ORIENTATION_ASL this UseNativeCoordinateOrientation this Modified \n\n Set the orientation of the output image\n     itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RPS;\n      itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RIP;\n      itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_AIR;\n"},
  {(char*)"SetDesiredCoordinateOrientationToNative",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetDesiredCoordinateOrientationToNative, 1,
   (char*)"V.SetDesiredCoordinateOrientationToNative()\nC++: void SetDesiredCoordinateOrientationToNative ();this UseNativeCoordinateOrientation this Modified \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: virtual void SetOutputScalarTypeToDouble ();UseNativeScalarType this SetOutputScalarType VTK_DOUBLE \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: virtual void SetOutputScalarTypeToFloat ();UseNativeScalarType this SetOutputScalarType VTK_FLOAT \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: virtual void SetOutputScalarTypeToLong ();UseNativeScalarType this SetOutputScalarType VTK_LONG \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: virtual void SetOutputScalarTypeToUnsignedLong ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: virtual void SetOutputScalarTypeToInt ();UseNativeScalarType this SetOutputScalarType VTK_INT \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: virtual void SetOutputScalarTypeToUnsignedInt ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: virtual void SetOutputScalarTypeToShort ();UseNativeScalarType this SetOutputScalarType VTK_SHORT \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: virtual void SetOutputScalarTypeToUnsignedShort ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: virtual void SetOutputScalarTypeToChar ();UseNativeScalarType this SetOutputScalarType VTK_CHAR \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: virtual void SetOutputScalarTypeToUnsignedChar ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n"},
  {(char*)"SetOutputScalarTypeToNative",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarTypeToNative, 1,
   (char*)"V.SetOutputScalarTypeToNative()\nC++: virtual void SetOutputScalarTypeToNative ();UseNativeScalarType this Modified \n\n Get the file format.  Pixels are this type in the file.\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int );\n\n Get the file format.  Pixels are this type in the file.\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Get the file format.  Pixels are this type in the file.\n"},
  {(char*)"GetRasToIjkMatrix",                (PyCFunction)PyvtkITKArchetypeImageSeriesReader_GetRasToIjkMatrix, 1,
   (char*)"V.GetRasToIjkMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetRasToIjkMatrix ();\n\n Returns an IJK to RAS transformation matrix\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKArchetypeImageSeriesReaderDoc[] = {
  (char*)"vtkITKArchetypeImageSeriesReader - Read a series of files\n\n",
  "Super Class:\n\n vtkImageSource\n\n",
  (char*)" ArchetypeImageSeriesReader creates a volume from a series of images\n stored in files. The series are represented by one filename. This\n filename, the archetype, is any one of the files in the series.\n\n \\note\n This work is part of the National Alliance for Medical Image Computing \n (NAMIC), funded by the National Institutes of Health through the NIH Roadmap\n for Medical Research, Grant U54 EB00514",
  (char*)"9.\n\n",
  NULL
};

static vtkObjectBase *vtkITKArchetypeImageSeriesReaderStaticNew()
{
  return vtkITKArchetypeImageSeriesReader::New();
}

PyObject *PyVTKClass_vtkITKArchetypeImageSeriesReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKArchetypeImageSeriesReaderStaticNew,
                        PyvtkITKArchetypeImageSeriesReaderMethods,
                        (char*)"vtkITKArchetypeImageSeriesReader",modulename,
                        (char**)vtkITKArchetypeImageSeriesReaderDoc,
                        PyVTKClass_vtkImageSourceNew(modulename));
}

