// tcl wrapper for vtkITKArchetypeImageSeriesReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkITKArchetypeImageSeriesReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkITKArchetypeImageSeriesReaderNewCommand()
{
  vtkITKArchetypeImageSeriesReader *temp = vtkITKArchetypeImageSeriesReader::New();
  return static_cast<ClientData>(temp);
}

int vtkImageSourceCppCommand(vtkImageSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkITKArchetypeImageSeriesReaderCppCommand(vtkITKArchetypeImageSeriesReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkITKArchetypeImageSeriesReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkITKArchetypeImageSeriesReaderCppCommand(static_cast<vtkITKArchetypeImageSeriesReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkITKArchetypeImageSeriesReaderCppCommand(vtkITKArchetypeImageSeriesReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkITKArchetypeImageSeriesReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageSourceCppCommand(static_cast<vtkImageSource *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageSource"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkITKArchetypeImageSeriesReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKArchetypeImageSeriesReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkITKArchetypeImageSeriesReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKArchetypeImageSeriesReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkITKArchetypeImageSeriesReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKArchetypeImageSeriesReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetArchetype",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetArchetype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArchetype",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArchetype();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultDataSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultDataSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultDataSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultDataSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultDataSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultDataSpacing();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultDataOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultDataOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultDataOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDefaultDataOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultDataOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDefaultDataOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileNameSliceOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileNameSliceOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNameSliceOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileNameSliceOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileNameSliceSpacing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileNameSliceSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNameSliceSpacing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileNameSliceSpacing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileNameSliceCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileNameSliceCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileNameSliceCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileNameSliceCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredCoordinateOrientationToAxial",argv[1]))&&(argc == 2))
    {
    op->SetDesiredCoordinateOrientationToAxial();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredCoordinateOrientationToCoronal",argv[1]))&&(argc == 2))
    {
    op->SetDesiredCoordinateOrientationToCoronal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredCoordinateOrientationToSagittal",argv[1]))&&(argc == 2))
    {
    op->SetDesiredCoordinateOrientationToSagittal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredCoordinateOrientationToNative",argv[1]))&&(argc == 2))
    {
    op->SetDesiredCoordinateOrientationToNative();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToNative",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToNative();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRasToIjkMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetRasToIjkMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkITKArchetypeImageSeriesReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkITKArchetypeImageSeriesReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetArchetype\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArchetype\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultDataSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultDataSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultDataOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultDataOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetFileNameSliceOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNameSliceOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetFileNameSliceSpacing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNameSliceSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetFileNameSliceCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileNameSliceCount\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredCoordinateOrientationToAxial\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredCoordinateOrientationToCoronal\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredCoordinateOrientationToSagittal\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredCoordinateOrientationToNative\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToNative\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  GetRasToIjkMatrix\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageSourceCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetArchetype" );
    Tcl_DStringAppendElement ( &dString, "GetArchetype" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDataSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDataOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceOffset" );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceOffset" );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceCount" );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceCount" );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToAxial" );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToCoronal" );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToSagittal" );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToNative" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToNative" );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    Tcl_DStringAppendElement ( &dString, "GetRasToIjkMatrix" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageSourceCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkITKArchetypeImageSeriesReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArchetype */
    if ( strcmp ( argv[2], "SetArchetype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArchetype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArchetype */
    Tcl_DStringAppendElement ( &dString, " Specify the archetype filename for the series.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArchetype (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetArchetype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArchetype */
    if ( strcmp ( argv[2], "GetArchetype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArchetype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArchetype */
    Tcl_DStringAppendElement ( &dString, " Specify the archetype filename for the series.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetArchetype ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetArchetype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultDataSpacing */
    if ( strcmp ( argv[2], "SetDefaultDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default spacing of the data in the file. This will be\n used if the reader provided spacing is 1.0. (Default is 1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultDataSpacing (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDefaultDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultDataSpacing */
    if ( strcmp ( argv[2], "SetDefaultDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default spacing of the data in the file. This will be\n used if the reader provided spacing is 1.0. (Default is 1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultDataSpacing (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDefaultDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultDataSpacing */
    if ( strcmp ( argv[2], "GetDefaultDataSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDataSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultDataSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default spacing of the data in the file. This will be\n used if the reader provided spacing is 1.0. (Default is 1.0)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDefaultDataSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetDefaultDataSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultDataOrigin */
    if ( strcmp ( argv[2], "SetDefaultDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default origin of the data (location of first pixel\n in the file). This will be used if the reader provided origin is\n 0.0. (Default is 0.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultDataOrigin (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDefaultDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDefaultDataOrigin */
    if ( strcmp ( argv[2], "SetDefaultDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDefaultDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDefaultDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default origin of the data (location of first pixel\n in the file). This will be used if the reader provided origin is\n 0.0. (Default is 0.0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDefaultDataOrigin (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDefaultDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDefaultDataOrigin */
    if ( strcmp ( argv[2], "GetDefaultDataOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDefaultDataOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDefaultDataOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the default origin of the data (location of first pixel\n in the file). This will be used if the reader provided origin is\n 0.0. (Default is 0.0)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetDefaultDataOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetDefaultDataOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileNameSliceOffset */
    if ( strcmp ( argv[2], "SetFileNameSliceOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileNameSliceOffset */
    Tcl_DStringAppendElement ( &dString, " When reading files which start at an unusual index, this can be added\n to the slice number when generating the file name (default = 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileNameSliceOffset (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetFileNameSliceOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNameSliceOffset */
    if ( strcmp ( argv[2], "GetFileNameSliceOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNameSliceOffset */
    Tcl_DStringAppendElement ( &dString, " When reading files which start at an unusual index, this can be added\n to the slice number when generating the file name (default = 0)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileNameSliceOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetFileNameSliceOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileNameSliceSpacing */
    if ( strcmp ( argv[2], "SetFileNameSliceSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileNameSliceSpacing */
    Tcl_DStringAppendElement ( &dString, " When reading files which have regular, but non contiguous slices\n (eg filename.1,filename.3,filename.5)\n a spacing can be specified to skip missing files (default = 1)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileNameSliceSpacing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetFileNameSliceSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNameSliceSpacing */
    if ( strcmp ( argv[2], "GetFileNameSliceSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNameSliceSpacing */
    Tcl_DStringAppendElement ( &dString, " When reading files which have regular, but non contiguous slices\n (eg filename.1,filename.3,filename.5)\n a spacing can be specified to skip missing files (default = 1)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileNameSliceSpacing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetFileNameSliceSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileNameSliceCount */
    if ( strcmp ( argv[2], "SetFileNameSliceCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileNameSliceCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileNameSliceCount */
    Tcl_DStringAppendElement ( &dString, " The maximum number of files to include in the series. If this is\n zero, then all files will be included. (Default is 0)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileNameSliceCount (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetFileNameSliceCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileNameSliceCount */
    if ( strcmp ( argv[2], "GetFileNameSliceCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileNameSliceCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileNameSliceCount */
    Tcl_DStringAppendElement ( &dString, " The maximum number of files to include in the series. If this is\n zero, then all files will be included. (Default is 0)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFileNameSliceCount ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetFileNameSliceCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDesiredCoordinateOrientationToAxial */
    if ( strcmp ( argv[2], "SetDesiredCoordinateOrientationToAxial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToAxial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDesiredCoordinateOrientationToAxial */
    Tcl_DStringAppendElement ( &dString, " Set the orientation of the output image\n     itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RPS;\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDesiredCoordinateOrientationToAxial ();this DesiredCoordinateOrientation itk SpatialOrientation ITK_COORDINATE_ORIENTATION_RAI this UseNativeCoordinateOrientation this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDesiredCoordinateOrientationToAxial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDesiredCoordinateOrientationToCoronal */
    if ( strcmp ( argv[2], "SetDesiredCoordinateOrientationToCoronal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToCoronal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDesiredCoordinateOrientationToCoronal */
    Tcl_DStringAppendElement ( &dString, " Set the orientation of the output image\n     itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RPS;\n      itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RIP;\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDesiredCoordinateOrientationToCoronal ();this DesiredCoordinateOrientation itk SpatialOrientation ITK_COORDINATE_ORIENTATION_RSA this UseNativeCoordinateOrientation this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDesiredCoordinateOrientationToCoronal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDesiredCoordinateOrientationToSagittal */
    if ( strcmp ( argv[2], "SetDesiredCoordinateOrientationToSagittal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToSagittal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDesiredCoordinateOrientationToSagittal */
    Tcl_DStringAppendElement ( &dString, " Set the orientation of the output image\n     itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RPS;\n      itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_RIP;\n      itk::SpatialOrientation::ITK_COORDINATE_ORIENTATION_AIR;\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDesiredCoordinateOrientationToSagittal ();this DesiredCoordinateOrientation itk SpatialOrientation ITK_COORDINATE_ORIENTATION_ASL this UseNativeCoordinateOrientation this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDesiredCoordinateOrientationToSagittal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDesiredCoordinateOrientationToNative */
    if ( strcmp ( argv[2], "SetDesiredCoordinateOrientationToNative" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDesiredCoordinateOrientationToNative" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDesiredCoordinateOrientationToNative */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDesiredCoordinateOrientationToNative ();this UseNativeCoordinateOrientation this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetDesiredCoordinateOrientationToNative */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToDouble */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToDouble" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToDouble" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToDouble */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToDouble ();UseNativeScalarType this SetOutputScalarType VTK_DOUBLE " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToDouble */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToFloat */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToFloat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToFloat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToFloat */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToFloat ();UseNativeScalarType this SetOutputScalarType VTK_FLOAT " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToFloat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToLong */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToLong ();UseNativeScalarType this SetOutputScalarType VTK_LONG " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedLong */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedLong" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedLong" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedLong */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToUnsignedLong ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_LONG " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToUnsignedLong */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToInt */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToInt ();UseNativeScalarType this SetOutputScalarType VTK_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedInt */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedInt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedInt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedInt */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToUnsignedInt ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_INT " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToUnsignedInt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToShort */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToShort ();UseNativeScalarType this SetOutputScalarType VTK_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedShort */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedShort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedShort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedShort */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToUnsignedShort ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_SHORT " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToUnsignedShort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToChar */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToChar ();UseNativeScalarType this SetOutputScalarType VTK_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToUnsignedChar */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToUnsignedChar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToUnsignedChar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToUnsignedChar */
    Tcl_DStringAppendElement ( &dString, " Set the data type of pixels in the file.  \n If you want the output scalar type to have a different value, set it\n after this method is called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToUnsignedChar ();UseNativeScalarType this SetOutputScalarType VTK_UNSIGNED_CHAR " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToUnsignedChar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarTypeToNative */
    if ( strcmp ( argv[2], "SetOutputScalarTypeToNative" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarTypeToNative" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarTypeToNative */
    Tcl_DStringAppendElement ( &dString, " Get the file format.  Pixels are this type in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOutputScalarTypeToNative ();UseNativeScalarType this Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarTypeToNative */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutputScalarType */
    if ( strcmp ( argv[2], "SetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Get the file format.  Pixels are this type in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutputScalarType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for SetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutputScalarType */
    if ( strcmp ( argv[2], "GetOutputScalarType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutputScalarType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutputScalarType */
    Tcl_DStringAppendElement ( &dString, " Get the file format.  Pixels are this type in the file.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutputScalarType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetOutputScalarType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRasToIjkMatrix */
    if ( strcmp ( argv[2], "GetRasToIjkMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRasToIjkMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRasToIjkMatrix */
    Tcl_DStringAppendElement ( &dString, " Returns an IJK to RAS transformation matrix\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetRasToIjkMatrix ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKArchetypeImageSeriesReader" );
    /* Closing for GetRasToIjkMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageSourceCppCommand(static_cast<vtkImageSource *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
