// python wrapper for vtkITKDanielssonDistanceMapImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKDanielssonDistanceMapImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKDanielssonDistanceMapImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKDanielssonDistanceMapImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  const char    *temp20;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDanielssonDistanceMapImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDanielssonDistanceMapImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  vtkITKDanielssonDistanceMapImageFilter  *temp20;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDanielssonDistanceMapImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKDanielssonDistanceMapImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKDanielssonDistanceMapImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_SetSquaredDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  int      temp0;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDanielssonDistanceMapImageFilter::SetSquaredDistance(temp0);
      }
    else
      {
      op->SetSquaredDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_SquaredDistanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDanielssonDistanceMapImageFilter::SquaredDistanceOn();
      }
    else
      {
      op->SquaredDistanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_SquaredDistanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDanielssonDistanceMapImageFilter::SquaredDistanceOff();
      }
    else
      {
      op->SquaredDistanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_GetSquaredDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  int      temp20;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDanielssonDistanceMapImageFilter::GetSquaredDistance();
      }
    else
      {
      temp20 = op->GetSquaredDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_SetInputIsBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  int      temp0;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDanielssonDistanceMapImageFilter::SetInputIsBinary(temp0);
      }
    else
      {
      op->SetInputIsBinary(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_InputIsBinaryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDanielssonDistanceMapImageFilter::InputIsBinaryOn();
      }
    else
      {
      op->InputIsBinaryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_InputIsBinaryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDanielssonDistanceMapImageFilter::InputIsBinaryOff();
      }
    else
      {
      op->InputIsBinaryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDanielssonDistanceMapImageFilter_GetInputIsBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDanielssonDistanceMapImageFilter *op;

  int      temp20;
  op = (vtkITKDanielssonDistanceMapImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDanielssonDistanceMapImageFilter::GetInputIsBinary();
      }
    else
      {
      temp20 = op->GetInputIsBinary();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKDanielssonDistanceMapImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKDanielssonDistanceMapImageFilter\nC++: vtkITKDanielssonDistanceMapImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKDanielssonDistanceMapImageFilter\nC++: vtkITKDanielssonDistanceMapImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSquaredDistance",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_SetSquaredDistance, 1,
   (char*)"V.SetSquaredDistance(int)\nC++: void SetSquaredDistance (int value);DelegateITKInputMacro SetSquaredDistance bool value \n\n"},
  {(char*)"SquaredDistanceOn",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_SquaredDistanceOn, 1,
   (char*)"V.SquaredDistanceOn()\nC++: void SquaredDistanceOn ();this SetSquaredDistance true \n\n"},
  {(char*)"SquaredDistanceOff",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_SquaredDistanceOff, 1,
   (char*)"V.SquaredDistanceOff()\nC++: void SquaredDistanceOff ();this SetSquaredDistance false \n\n"},
  {(char*)"GetSquaredDistance",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_GetSquaredDistance, 1,
   (char*)"V.GetSquaredDistance() -> int\nC++: int GetSquaredDistance ();DelegateITKOutputMacro GetSquaredDistance \n\n"},
  {(char*)"SetInputIsBinary",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_SetInputIsBinary, 1,
   (char*)"V.SetInputIsBinary(int)\nC++: void SetInputIsBinary (int value);DelegateITKInputMacro SetInputIsBinary bool value \n\n"},
  {(char*)"InputIsBinaryOn",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_InputIsBinaryOn, 1,
   (char*)"V.InputIsBinaryOn()\nC++: void InputIsBinaryOn ();this SetInputIsBinary true \n\n"},
  {(char*)"InputIsBinaryOff",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_InputIsBinaryOff, 1,
   (char*)"V.InputIsBinaryOff()\nC++: void InputIsBinaryOff ();this SetInputIsBinary false \n\n"},
  {(char*)"GetInputIsBinary",                (PyCFunction)PyvtkITKDanielssonDistanceMapImageFilter_GetInputIsBinary, 1,
   (char*)"V.GetInputIsBinary() -> int\nC++: int GetInputIsBinary ();DelegateITKOutputMacro GetInputIsBinary \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKDanielssonDistanceMapImageFilterDoc[] = {
  (char*)"vtkITKDanielssonDistanceMapImageFilter - Wrapper class around itk::DanielssonDistanceMapImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKDanielssonDistanceMapImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKDanielssonDistanceMapImageFilterStaticNew()
{
  return vtkITKDanielssonDistanceMapImageFilter::New();
}

PyObject *PyVTKClass_vtkITKDanielssonDistanceMapImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKDanielssonDistanceMapImageFilterStaticNew,
                        PyvtkITKDanielssonDistanceMapImageFilterMethods,
                        (char*)"vtkITKDanielssonDistanceMapImageFilter",modulename,
                        (char**)vtkITKDanielssonDistanceMapImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

