// python wrapper for vtkITKDiscreteGaussianImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKDiscreteGaussianImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKDiscreteGaussianImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKDiscreteGaussianImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKDiscreteGaussianImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  const char    *temp20;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDiscreteGaussianImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDiscreteGaussianImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  vtkITKDiscreteGaussianImageFilter  *temp20;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKDiscreteGaussianImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKDiscreteGaussianImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKDiscreteGaussianImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_SetVariance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDiscreteGaussianImageFilter::SetVariance(temp0,temp1,temp2);
      }
    else
      {
      op->SetVariance(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_SetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDiscreteGaussianImageFilter::SetMaximumError(temp0,temp1,temp2);
      }
    else
      {
      op->SetMaximumError(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_SetMaximumKernelWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  int      temp0;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDiscreteGaussianImageFilter::SetMaximumKernelWidth(temp0);
      }
    else
      {
      op->SetMaximumKernelWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKDiscreteGaussianImageFilter_SetFilterDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKDiscreteGaussianImageFilter *op;

  unsigned int      temp0;
  op = (vtkITKDiscreteGaussianImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKDiscreteGaussianImageFilter::SetFilterDimensionality(temp0);
      }
    else
      {
      op->SetFilterDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKDiscreteGaussianImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKDiscreteGaussianImageFilter\nC++: vtkITKDiscreteGaussianImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKDiscreteGaussianImageFilter\nC++: vtkITKDiscreteGaussianImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVariance",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_SetVariance, 1,
   (char*)"V.SetVariance(float, float, float)\nC++: void SetVariance (double v1, double v2, double v3);double v v v1 v v2 v v3 this GetImageFilterPointer SetVariance v \n\n"},
  {(char*)"SetMaximumError",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_SetMaximumError, 1,
   (char*)"V.SetMaximumError(float, float, float)\nC++: void SetMaximumError (double e1, double e2, double e3);double e e e1 e e2 e e3 this GetImageFilterPointer SetMaximumError e \n\n"},
  {(char*)"SetMaximumKernelWidth",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_SetMaximumKernelWidth, 1,
   (char*)"V.SetMaximumKernelWidth(int)\nC++: void SetMaximumKernelWidth (int m);this GetImageFilterPointer SetMaximumKernelWidth m \n\n"},
  {(char*)"SetFilterDimensionality",                (PyCFunction)PyvtkITKDiscreteGaussianImageFilter_SetFilterDimensionality, 1,
   (char*)"V.SetFilterDimensionality(int)\nC++: void SetFilterDimensionality (unsigned int m);this GetImageFilterPointer SetFilterDimensionality m \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKDiscreteGaussianImageFilterDoc[] = {
  (char*)"vtkITKDiscreteGaussianImageFilter - Wrapper class around itk::DiscreteGaussianImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKDiscreteGaussianImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKDiscreteGaussianImageFilterStaticNew()
{
  return vtkITKDiscreteGaussianImageFilter::New();
}

PyObject *PyVTKClass_vtkITKDiscreteGaussianImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKDiscreteGaussianImageFilterStaticNew,
                        PyvtkITKDiscreteGaussianImageFilterMethods,
                        (char*)"vtkITKDiscreteGaussianImageFilter",modulename,
                        (char**)vtkITKDiscreteGaussianImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

