// python wrapper for vtkITKImageToImageFilterSF object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilterSF.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilterSFNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSFNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilterSF_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterSF *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterSF::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterSF_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterSF *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterSF::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterSF_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterSF *op;

  vtkITKImageToImageFilterSF  *temp20;
  op = (vtkITKImageToImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilterSF::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilterSF_SetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilterSF *op;

  int      temp0;
  op = (vtkITKImageToImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKImageToImageFilterSF::SetReleaseDataFlag(temp0);
      }
    else
      {
      op->SetReleaseDataFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilterSFMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilterSF_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilterSF_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilterSF_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilterSF\nC++: vtkITKImageToImageFilterSF *NewInstance ();\n\n"},
  {(char*)"SetReleaseDataFlag",                (PyCFunction)PyvtkITKImageToImageFilterSF_SetReleaseDataFlag, 1,
   (char*)"V.SetReleaseDataFlag(int)\nC++: virtual void SetReleaseDataFlag (int f);Superclass SetReleaseDataFlag f m_Filter SetReleaseDataFlag f \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilterSFDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a \n\n",
  NULL
};

static vtkObjectBase *vtkITKImageToImageFilterSFStaticNew()
{
  return vtkITKImageToImageFilterSF::New();
}

PyObject *PyVTKClass_vtkITKImageToImageFilterSFNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKImageToImageFilterSFStaticNew,
                        PyvtkITKImageToImageFilterSFMethods,
                        (char*)"vtkITKImageToImageFilterSF",modulename,
                        (char**)vtkITKImageToImageFilterSFDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

