// python wrapper for vtkITKNormalizeImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKNormalizeImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKNormalizeImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKNormalizeImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKNormalizeImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNormalizeImageFilter *op;

  const char    *temp20;
  op = (vtkITKNormalizeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNormalizeImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNormalizeImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNormalizeImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKNormalizeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNormalizeImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNormalizeImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNormalizeImageFilter *op;

  vtkITKNormalizeImageFilter  *temp20;
  op = (vtkITKNormalizeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNormalizeImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNormalizeImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKNormalizeImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKNormalizeImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkITKNormalizeImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKNormalizeImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKNormalizeImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKNormalizeImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKNormalizeImageFilter\nC++: vtkITKNormalizeImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKNormalizeImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKNormalizeImageFilter\nC++: vtkITKNormalizeImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKNormalizeImageFilterDoc[] = {
  (char*)"vtkITKNormalizeImageFilter - Wrapper class around itk::NormalizeImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKNormalizeImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKNormalizeImageFilterStaticNew()
{
  return vtkITKNormalizeImageFilter::New();
}

PyObject *PyVTKClass_vtkITKNormalizeImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKNormalizeImageFilterStaticNew,
                        PyvtkITKNormalizeImageFilterMethods,
                        (char*)"vtkITKNormalizeImageFilter",modulename,
                        (char**)vtkITKNormalizeImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

