// python wrapper for vtkITKPDEDeformableRegistrationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKPDEDeformableRegistrationFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKPDEDeformableRegistrationFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKPDEDeformableRegistrationFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKPDEDeformableRegistrationFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  const char    *temp20;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKPDEDeformableRegistrationFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKPDEDeformableRegistrationFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkITKPDEDeformableRegistrationFilter  *temp20;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKPDEDeformableRegistrationFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKPDEDeformableRegistrationFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKPDEDeformableRegistrationFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  unsigned int      temp0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  unsigned int      temp20;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKPDEDeformableRegistrationFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetStandardDeviations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  double   temp0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetStandardDeviations(temp0);
      }
    else
      {
      op->SetStandardDeviations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetTargetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetTargetImage(temp0);
      }
    else
      {
      op->SetTargetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetSourceImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetSourceImage(temp0);
      }
    else
      {
      op->SetSourceImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetFixedImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetFixedImage(temp0);
      }
    else
      {
      op->SetFixedImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetMovingImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetMovingImage(temp0);
      }
    else
      {
      op->SetMovingImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkImageData  *temp20;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKPDEDeformableRegistrationFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKPDEDeformableRegistrationFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_RegisterImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::RegisterImages();
      }
    else
      {
      op->RegisterImages();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKPDEDeformableRegistrationFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKPDEDeformableRegistrationFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKPDEDeformableRegistrationFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKPDEDeformableRegistrationFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkITKPDEDeformableRegistrationFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKPDEDeformableRegistrationFilter\nC++: vtkITKPDEDeformableRegistrationFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKPDEDeformableRegistrationFilter\nC++: vtkITKPDEDeformableRegistrationFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (unsigned int n);DelegateSetMacro NumberOfIterations n \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: unsigned int GetNumberOfIterations ();DelegateGetMacro NumberOfIterations \n\n"},
  {(char*)"SetStandardDeviations",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetStandardDeviations, 1,
   (char*)"V.SetStandardDeviations(float)\nC++: void SetStandardDeviations (double d);DelegateSetMacro StandardDeviations d \n\n"},
  {(char*)"SetTargetImage",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetTargetImage, 1,
   (char*)"V.SetTargetImage(vtkImageData)\nC++: void SetTargetImage (vtkImageData *I);this SetFixedImage I \n\n"},
  {(char*)"SetSourceImage",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetSourceImage, 1,
   (char*)"V.SetSourceImage(vtkImageData)\nC++: void SetSourceImage (vtkImageData *I);this SetMovingImage I \n\n"},
  {(char*)"SetFixedImage",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetFixedImage, 1,
   (char*)"V.SetFixedImage(vtkImageData)\nC++: void SetFixedImage (vtkImageData *I);this vtkFixedImageExporter SetInput I \n\n"},
  {(char*)"SetMovingImage",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetMovingImage, 1,
   (char*)"V.SetMovingImage(vtkImageData)\nC++: void SetMovingImage (vtkImageData *I);this vtkMovingImageExporter SetInput I \n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: virtual vtkImageData *GetOutput ();return this DeformationField GetOutput \nV.GetOutput(int) -> vtkImageData\nC++: virtual vtkImageData *GetOutput (int idx);return vtkImageData this DeformationField GetOutput idx \n\n"},
  {(char*)"RegisterImages",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_RegisterImages, 1,
   (char*)"V.RegisterImages()\nC++: virtual void RegisterImages ();this vtkFixedImageExporter GetInput Update this GetFilterPointer Update vtkImageData I this vtkFixedImageExporter GetInput this DeformationField SetDataScalarTypeToFloat this DeformationField SetNumberOfScalarComponents this DeformationField SetDataExtent I GetExtent this DeformationField SetDataSpacing I GetSpacing this DeformationField SetDataOrigin I GetOrigin this DeformationField SetWholeExtent I GetWholeExtent int DataExtent this DeformationField GetDataExtent DataExtent int size DataExtent DataExtent DataExtent DataExtent DataExtent DataExtent sizeof float this DeformationField CopyImportVoidPointer void this GetFilterPointer GetOutput GetBufferPointer size \n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkITKPDEDeformableRegistrationFilter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *);std cout std endl return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKPDEDeformableRegistrationFilterDoc[] = {
  (char*)"vtkITKPDEDeformableRegistrationFilter - Wrapper class around itk::PDEDeformableRegistrationImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKPDEDeformableRegistrationFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKPDEDeformableRegistrationFilterStaticNew()
{
  return vtkITKPDEDeformableRegistrationFilter::New();
}

PyObject *PyVTKClass_vtkITKPDEDeformableRegistrationFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKPDEDeformableRegistrationFilterStaticNew,
                        PyvtkITKPDEDeformableRegistrationFilterMethods,
                        (char*)"vtkITKPDEDeformableRegistrationFilter",modulename,
                        (char**)vtkITKPDEDeformableRegistrationFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

